/* Implementazioni Bootstrap Griglia
NOTE LAYOUT: i contenitori blocco-contenitore hanno margin-bottom:30px, tutti tranne header (no-margine) ed il main (padding, sia bottom che top)


*/
.fullcontainer {width: 100%; float: left;
    position: relative;}
.full-abs-container {width: 100%; position: absolute; margin: 0px; padding: 0px; height: auto; }
.abs-container {width: auto; position: absolute; margin: 0px; padding: 0px; height: auto; }
.fullscreen-abs-container {width: 100%; position: absolute; margin: 0px; padding: 0px; height: 100%}
.z-index-alto {z-index: 9999}
.blocco {float: left; width: 100%; position: relative}
.mar-bot, .blocco-contenitore  {margin-bottom: 30px;}
.blocco-contenitore-no-margine  {margin-bottom: 0;}
.blocco-contenitore-padding {padding: 30px 0;}

.line-height1 {line-height: 1em}
.oscurato, .non-mostrare {display: none}
.nascosto {visibility: hidden}
.transp {opacity: 0; }
.solido {opacity: 1;}
hr {border: none!important; border-bottom: none;
    background-image: url("../immagini/underline_battaglia.png");
    background-position: center top; background-repeat: no-repeat;
    height: 5px; margin-top: 5px; margin-bottom: 0px;
    background-repeat: repeat-x;


}


/* masonry helpres
            if ($posizione_del_testo == 'In alto a sinistra') {$pozione_t_mason = 'mason_p_alt mason_p_sin';}
            if ($posizione_del_testo == 'In alto a destra') {$pozione_t_mason = 'mason_p_alt mason_p_des';}
            if ($posizione_del_testo == 'In basso a destra') {$pozione_t_mason = 'mason_p_bas mason_p_des';}
            if ($posizione_del_testo == 'In basso a sinistra') {$pozione_t_mason = 'mason_p_bas mason_p_sin';}
            if ($posizione_del_testo == 'Centrato') {$pozione_t_mason = 'mason_p_centrato';}

 */
.contenitore-con {margin-left: -15px!important; margin-right: -15px!important; width: calc(100% + 30px); float: left}
.mas-h13 {height: 360px!important; overflow: hidden}
.mas-h23 {height: 750px!important; overflow: hidden}
.mas-h33 {height: 1140px!important; overflow: hidden}
.mas-h13 img.mas-full {height: 360px!important; width: auto!important;}
.mas-h23 img.mas-full {height: 750px!important; width: auto!important;}
.mas-h33 img.mas-full {height: 1140px!important; width: auto!important;}
.testo-masonry {position: absolute;}
.mason_p_alt {top:15px}
.mason_p_bas {bottom:15px}
.mason_p_sin {left:15px}
.mason_p_des {right:15px}
.mason_p_sin {text-align: left}
.mason_p_des {text-align: right}
.testo-masonry {max-width: calc(90% - 30px)}
.testo-masonry {background-color: rgba(0,0,0,0.7); padding: 15px}
.testo-masonry.centrato {position: absolute; display: block;background-color: transparent }
.testo-masonry.centrato img {width: 100%!important; height: auto}
.testo-masonry h1 {width: auto; line-height: 1.2em; margin-bottom: 10px; font-size: 21px!important;  }
.testo-masonry h3 {width: auto; line-height: 1.1em; font-size: 24px }
div.blocco.bc_masonry > div > a > div > div > div > div > p > img {width: 100%; height: auto; float: left}
.flex-testo-masonry {

    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;

}
.mason_p_centrato {  max-width: 75%; text-align: center}
.mason_p_centrato .testo-masonry {  background-color: transparent}


.testo-masonry { }

    /* Implementazioni Bootstrap Impaginazione Layout*/
.destra {float:right}
.sinistra {float: left}

.pos-rel {position: relative}
.pos-abs {position: absolute}



.pad {padding: 30px}
.pad-mez {padding: 15px}
.pad-10 {padding: 10px}

/* Classi Blocchi di contenuto */
.immagine-resp img {width: 100%; height: auto}
.img-resp {width: 100%; height: auto}


/* Elementi Layout Framework*/
.blocco-navigazione-gal div {float: right;}
.page-numbers.current{font-weight: 700}
a.page-numbers {line-height: 20px!important;}
span.page-numbers.dots {}
a.next.page-numbers {font-weight: 700; border-left: solid 1px #888888; padding-left: 15px; margin-left: 10px}
a.prev.page-numbers {font-weight: 700;  border-right: solid 1px #888888; padding-right: 15px; margin-right: 10px}
h2.screen-reader-text {display: none}



.contenitore-top-menu-full{color: #FFFFFF; text-transform: uppercase;  background-color: #DDDDDD}
.contenitore-top-menu-nav {float: right}
.contenitore-top-menu-nav  ul {margin-left: 0px}
.contenitore-top-menu-nav  ul li {margin:0px; border-right-style: solid; border-right-width: 2px; border-right-color: #F2F3F6; margin-left: 10px; margin-right: 0px; padding-right: 15px; padding-left: 0px; line-height: 30px}
.contenitore-top-menu-nav  ul li:last-child {border-right-style: none!important;padding-right: 0px; }
.contenitore-top-menu-nav  ul li a {color: #FFFFFF; font-style: normal; font-size: 15px;
    font-weight:normal;}
.contenitore-top-menu-nav  ul li i {margin-left: 10px}


.testata-full {padding: 0px 0px; background-color: #F2F3F6}
.classe-menu-desktop {float: right; margin-right: 15px}
.contenitore-breadcrumb-full {padding: 5px 0; z-index: 1 }
.contenitore-breadcrumb-full {background-image: url("../immagini/grey_wash_wall.png"); padding: 10px 0; border-top: solid 1px #111; border-bottom: solid 1px #111}
.contenitore-breadcrumb-full.bread-home {background-image: none; padding: 10px 0; margin-top: 200px;position: fixed; z-index: 9999}
.contenitore-breadcrumb-full {color: #FFFFFF; font-size: 14px; text-transform: uppercase}
.contenitore-breadcrumb-full a{color: #FFFFFF; font-weight: normal; font-size: 14px;}
.contenitore-breadcrumb-full i{margin-left: 15px}

.contenitore-blocchi-wrap  .blocco-contenitore:last-child {margin-bottom: 0px;  padding: 0px}

.contenitore-breadcrumb-cont {padding-bottom: 5px; padding-top: 5px}

.h2gallerie {border-bottom: solid 1px #cccccc; float: left; width: 100%; margin-bottom: 15px; padding-bottom: 10px}
.contenitore-bottone {margin-bottom: 15px}
.bottone-gal {color: #4a4a4a; background-color: #cccccc; padding: 10px; width: auto; float: left; margin-bottom: 10px; font-size: 15px}
.wpcf7-form-control .wpcf7-submit {color: #000000!important; background-color: #cccccc!important; padding: 10px; width: auto; float: left; margin-bottom: 30px; font-size: 15px}
.contcf7 .row {margin-bottom: 30px}
.contcf7 textarea {margin-bottom: 30px}
#wpcf7-f288-p36-o1 > form > div.contcf7 > div:nth-child(4) > div > p > input {color: #000000!important; background-color: #cccccc!important; padding: 10px; width: auto; float: left; margin-bottom: 30px; font-size: 15px;
    margin-top: 0;
    margin-bottom: 0;
    margin-left: 0;
    margin-right: 0;


}
/* GALLERIA STRETTA
    20% - 2 volte unità (6) - per un 1/4 - 3 a destra e sinistra - 6 quando serve doppio (bottom e sottrazione calc)*/
.row-stretta {margin-right: -3px; margin-left: -3px;}
.col-stretta {width: calc(20% - 6px); float: left; margin-left:3px; margin-right: 3px }
.mar-bot-stretto {margin-bottom: 6px}
.row-stretta { overflow: hidden; height: auto}
.row-bt-stretta {margin-left: -4px; margin-right: -4px}
.col-bt-stretta {padding-left: 2px; padding-right: 2px}
.cont-col-stretta {margin-bottom: 4px}

/* css3 masonry serio */
.mas-css3-riga {
    -webkit-column-gap: 30px;
    -moz-column-gap: 30px;
    column-gap: 30px;
    -moz-column-break-inside:avoid;
    -webkit-column-break-inside:avoid;
    column-break-inside:avoid;
    overflow: hidden;
}

.mas-css3-riga-terzi {
    -webkit-column-count: 3;
    -moz-column-count: 3;
    column-count: 3;
}

.mas-css3-colonna
{ -moz-column-break-inside:avoid;
    -webkit-column-break-inside:avoid;
    column-break-inside:avoid;
    overflow: hidden;


}

/* css3 masonry */
.row-stretta-css3msn {
    }
.col-stretta-css3msn {float: left;
    -moz-column-break-inside:avoid;
    -webkit-column-break-inside:avoid;
    column-break-inside:avoid;
    overflow: hidden;
}
.pad-bot-stretto-css3msn {}
.row-stretta-css3msn {
    break-before: avoid;
    -moz-column-break-inside:avoid;
    -webkit-column-break-inside:avoid;
    column-break-inside:avoid;
    overflow: hidden;

    -moz-column-count: 4;
    column-count: 4;

}
.row-stretta-css3msn img { }

.masonry-layout {
    column-count: 4;
    column-gap: 0;
}
.masonry-layout-panel {
    break-inside: avoid;
    padding: 5px;
}
.masonry-layout-panel__content {
    padding: 10px;
    border-radius: 10px;
}



.bc_gruppo_di_link {margin-bottom: 30px}


.footer-full { line-height: 1em}
.footer-full h1, .footer-full h2, .footer-full h3, .footer-full h4 {line-height: 1em; margin-bottom: 8px}
p {line-height: 1.3em}


/* #EDEDED grigio-chiaro
#DDDDDD grigio
#F2F3F6 quasi-bianco
#ABAAAA colore-primario
#252525 colore-evidenza
#424144 colore-body
*/

/* ELEMENTI BLOCCHI DI CONTENUTO */


/* BC SLIDER devo stare sotto masonry per queste:
.mason_p_alt {top:15px}
.mason_p_bas {bottom:15px}
.mason_p_sin {left:15px}
.mason_p_des {right:15px}

*/


.parent-abs { margin-left: -15px; margin-right: -15px; }
.bc_slider.frontpage { }
.bc_slider-ul {height: 600px}
.bc_slider-li {}
.bc_slider-item {}
.if-no-centrato { z-index: 50;  float: left; width: 100%}
.bc_slider-testo {position: absolute!important; z-index: 99999}
.bc_slider-background {background-size: cover; height: 600px }
.tipografia-animata {background-color: rgba(0,0,0,0.7); z-index: 999999; padding: 15px }
.bc_slider-testo h1, .bc_slider-testo h2, .bc_slider-testo h3 {margin-bottom: 10px}
.bc_slider-testo .mason_p_alt {}
.bc_slider-testo .mason_p_bas {top:15px!important;}
.bc_slider-testo .mason_p_cen h1 {text-align: center}
.bc_slider-testo .mason_p_des {text-align: right!important;}
.bc_slider-testo .mason_p_des h1{text-align: right!important;}
.bc_slider-testo .mason_p_des h2{text-align: right!important;}
.bc_slider-testo .mason_p_des h3{text-align: right!important;}
.bc_slider-testo .mason_p_des p{text-align: right!important;}
.bc_slider-testo .mason_p_alt {margin-top: 150px!important;}
.bc_slider-testo .mason_p_bas {margin-top: 150px!important;}
.bc_slider-testo .mason_p_sin {left:0px!important;}
.bc_slider-testo .mason_p_des {right:0px!important; margin-right: 100px}
.centrato {position: absolute; display: block; text-align: center}
.mason_p_bas_ {bottom: -580px}
.mason_p_des_ {right: -15px}



.slider-content {position: absolute}
.centro-js {position: relative;
    width: 50%;
    margin: 0 auto;
}



/* animazioni */



.blocco-navigazione_pagine {}
.blocco-navigazione_pagine ul {}
.blocco-navigazione_pagine li {}
.blocco-navigazione_pagine a {}
.blocco-navigazione_pagine li.current_page_item a {}
.blocco-navigazione_pagine li:before {}


.grigio {color: #DDDDDD}
.grigio-chiaro {color: #EDEDED}
.colore-primario {color: #ABAAAA}
.colore-evidenza {color: #252525}
.colore-body {color: #424144}

.quasi-bianco {color: #F2F3F6}
.bianco {color: #FFFFFF}
.nero {color: #0C0304}

.sfondo-grigio {background-color: #DDDDDD}
.sfondo-grigio-chiaro {background-color: #EDEDED}
.sfondo-quasi-bianco {background-color: #F2F3F6}
.sfondo-bianco {background-color: #FFFFFF}
.sfondo-nero {background-color: #0C0304}

.img-galleria {min-width: 30px!important;}
.blocco-immagine_evidenza_wp {}
.galleria-row {overflow: hidden;}



.videoWrapper {
    position: relative;
    padding-bottom: 56.25%; /* 16:9 */
    padding-top: 25px;
    height: 0;
}
.videoWrapper iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}